/*

CSS Selector Priority
- ID Selector (Highest)
- Class Selector
- Attribute Selector
- Type Selector
- Universal Selector (Lowest)

*/


/*Universal Selector*/

*{
	font-family: "Courier New", monospace;
	font-size: 20px;
}

body{
	background-color: skyblue;

}

html{
	scroll-behavior: smooth;
}

nav{
	background-color: white;
}

/*selector:  hover(pseudo class)*/

a:hover{
	background-color: #b4d6de;
}

div{
	display: inline-block;
	float: right;
}

/*Type Selector*/

h1{
	color: black !important; /* !important overrides CSS Heirarchy*/
	text-align: center;
	font-size: 2rem;
}

section{
	height: 100vh;
	text-align: center;
}

h2{
	font-size: 1.5rem;
}

ol{
	list-style: none;
}

/*ID Selector*/
#zuitt-motto{
	letter-spacing: 5px;
}

/*Class Selector*/

.offering-item{
	text-transform:  uppercase;
}

/*Attribute Selector*/
input[required]{
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
}




h3 + img{
	height: 300px;
	width:  300px;
	border-radius: 150px;
}


#bootcamp-learning-list li{
	color: #32a852;
}

h2~a{

	text-decoration: none;

}

form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	width: 25vw;
	height: 185px;
	position: relative;
	left: 37.5%;
}

section > form > label {
	color: rgb(0, 0, 128);
}

button{
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}


/**************************/
/*CSS Selector Combinators*/

/*Descendant Selector(White space) -
matches all elements that are descendants of
a specified elements*/

	/*div p{
		background-color: mediumpurple;
	}*/


/*Child Selector (>)- 
select all elements that are direct children 
of a specified element*/

	/*div > p{
		background-color: red;
	}*/

/*General Sibling Selector (~)
- select all elements that are next siblings
 of a specified elements */

	/*p ~ p {
		background-color: rebeccapurple;
	}*/

/*Adjacent Sibling Selector (+)
-select an element that is directly after another specific element * /

	/*div + p{
		background-color: red;
	}*/
